' PRESET.BAS
' This program demonstrates the PRESET statement.

CLS

INPUT "Please enter a screen mode (0-13):  ", modeNum%
INPUT "Press Enter to begin the hailstorm...", dummy$

SCREEN modeNum%
PRINT "Press any key to stop"

DO
    RANDOMIZE TIMER
    randCol% = INT(RND(1) * 320)  ' random column number for "hailstones";
                                  '   assumes horizontal resolution of 320;
                                  '   change for higher-resolution modes

    FOR i% = 1 TO 199             ' assumes vertical resolution of 200;
                                  '   change for higher-resolution modes
        PSET (randCol%, i%)
        PRESET (randCol%, i% - 1)
       
        FOR j% = 1 TO 35          ' delay loop
        NEXT j%
   
    NEXT i%
LOOP UNTIL INKEY$ <> ""


